import { ElementRef, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { Observable, Subject } from 'rxjs';
import { Option } from './option.interface';
export declare const VITAMUI_AUTOCOMPLETE_VALUE_ACCESSOR: any;
export declare class VitamUIAutocompleteComponent implements ControlValueAccessor, OnInit {
    options: Option[];
    private _options;
    placeholder: string;
    inputElement: ElementRef;
    control: FormControl;
    optionsChanges: Subject<Option[]>;
    filteredOptions: Observable<Option[]>;
    labelUp: boolean;
    private focused;
    constructor();
    ngOnInit(): void;
    onChange: (_: any) => void;
    onTouched: () => void;
    writeValue(value: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    filter(name: string): Option[];
    displayFn(options: Option[]): (value: string) => string | undefined;
    focus(): void;
    setDisabledState(disabled: boolean): void;
    updatePlaceholderPosition(): void;
    onBlur(): void;
    onFocus(): void;
}
