import { Subscription } from 'rxjs';
import { OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { ApplicationId } from '../application-id.enum';
import { SecurityService } from './security.service';
export declare class HasAnyRoleDirective implements OnInit, OnDestroy {
    private templateRef;
    private viewContainer;
    private securityService;
    roleSubscription: Subscription;
    private viewEmbedded;
    constructor(templateRef: TemplateRef<any>, viewContainer: ViewContainerRef, securityService: SecurityService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    vitamuiCommonHasAnyRole: {
        appId: ApplicationId;
        tenantIdentifier: number;
        roles: string[];
    };
}
