import { HttpClient, HttpHeaders, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs';
import { AppConfiguration, ApplicationInfo, AttachmentType } from '../models';
export declare class ApplicationApiService {
    private http;
    private readonly apiUrl;
    constructor(http: HttpClient, baseUrl: string);
    getAllByParams(params: HttpParams, headers?: HttpHeaders): Observable<ApplicationInfo>;
    getConfiguration(): Observable<AppConfiguration>;
    getAsset(assets: AttachmentType[]): Observable<AppConfiguration>;
}
