import { OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { ApplicationId } from '../../application-id.enum';
import { AuthService } from '../../auth.service';
import { Tenant } from '../../models';
import { MenuOption } from '../navbar';
export declare class VitamUITenantSelectComponent implements OnInit {
    private route;
    private router;
    private authService;
    appId: ApplicationId;
    hideTenantMenu: boolean;
    hideCustomerMenu: boolean;
    appTenants: Tenant[];
    tenants: MenuOption[];
    constructor(route: ActivatedRoute, router: Router, authService: AuthService);
    ngOnInit(): void;
    selectTenantInNavbar(tenantIdentifier: Event): void;
}
