import { __decorate, __extends } from 'tslib';
import { Input, Component, forwardRef, Directive, Pipe, EventEmitter, Output, NgModule } from '@angular/core';
import { NG_VALUE_ACCESSOR } from '@angular/forms';

var NavbarStubComponent = /** @class */ (function () {
    function NavbarStubComponent() {
        this.hideTenantMenu = false;
        this.hideCustomerMenu = false;
    }
    __decorate([
        Input()
    ], NavbarStubComponent.prototype, "appId", void 0);
    __decorate([
        Input()
    ], NavbarStubComponent.prototype, "hideTenantMenu", void 0);
    __decorate([
        Input()
    ], NavbarStubComponent.prototype, "hideCustomerMenu", void 0);
    __decorate([
        Input()
    ], NavbarStubComponent.prototype, "customers", void 0);
    NavbarStubComponent = __decorate([
        Component({ selector: 'vitamui-common-navbar', template: '<ng-content></ng-content>' })
    ], NavbarStubComponent);
    return NavbarStubComponent;
}());
var ApplicationSelectContentStubComponent = /** @class */ (function () {
    function ApplicationSelectContentStubComponent() {
    }
    __decorate([
        Input()
    ], ApplicationSelectContentStubComponent.prototype, "applications", void 0);
    __decorate([
        Input()
    ], ApplicationSelectContentStubComponent.prototype, "categories", void 0);
    __decorate([
        Input()
    ], ApplicationSelectContentStubComponent.prototype, "isModalMenu", void 0);
    ApplicationSelectContentStubComponent = __decorate([
        Component({ selector: 'vitamui-common-application-select-content', template: '<ng-content></ng-content>' })
    ], ApplicationSelectContentStubComponent);
    return ApplicationSelectContentStubComponent;
}());
var VitamUICustomerSelectStubComponent = /** @class */ (function () {
    function VitamUICustomerSelectStubComponent() {
    }
    VitamUICustomerSelectStubComponent = __decorate([
        Component({ selector: 'vitamui-common-customer-select', template: '<ng-content></ng-content>' })
    ], VitamUICustomerSelectStubComponent);
    return VitamUICustomerSelectStubComponent;
}());
var VitamUIDurationInputStubComponent = /** @class */ (function () {
    function VitamUIDurationInputStubComponent() {
    }
    VitamUIDurationInputStubComponent_1 = VitamUIDurationInputStubComponent;
    VitamUIDurationInputStubComponent.prototype.writeValue = function () { };
    VitamUIDurationInputStubComponent.prototype.registerOnChange = function () { };
    VitamUIDurationInputStubComponent.prototype.registerOnTouched = function () { };
    var VitamUIDurationInputStubComponent_1;
    __decorate([
        Input()
    ], VitamUIDurationInputStubComponent.prototype, "placeholder", void 0);
    VitamUIDurationInputStubComponent = VitamUIDurationInputStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-vitamui-duration-input',
            template: '<ng-content></ng-content>',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return VitamUIDurationInputStubComponent_1; }),
                    multi: true,
                }]
        })
    ], VitamUIDurationInputStubComponent);
    return VitamUIDurationInputStubComponent;
}());
var VitamUITenantSelectStubComponent = /** @class */ (function () {
    function VitamUITenantSelectStubComponent() {
    }
    VitamUITenantSelectStubComponent = __decorate([
        Component({ selector: 'vitamui-common-tenant-select', template: '<ng-content></ng-content>' })
    ], VitamUITenantSelectStubComponent);
    return VitamUITenantSelectStubComponent;
}());
var StepperStubComponent = /** @class */ (function () {
    function StepperStubComponent() {
    }
    __decorate([
        Input()
    ], StepperStubComponent.prototype, "selectedIndex", void 0);
    StepperStubComponent = __decorate([
        Component({ selector: 'vitamui-common-stepper', template: '<ng-content></ng-content>' })
    ], StepperStubComponent);
    return StepperStubComponent;
}());
var VitamUIInputErrorStubComponent = /** @class */ (function () {
    function VitamUIInputErrorStubComponent() {
    }
    VitamUIInputErrorStubComponent = __decorate([
        Component({ selector: 'vitamui-common-input-error', template: '<ng-content></ng-content>' })
    ], VitamUIInputErrorStubComponent);
    return VitamUIInputErrorStubComponent;
}());
var VitamUIInputStubComponent = /** @class */ (function () {
    function VitamUIInputStubComponent() {
    }
    VitamUIInputStubComponent_1 = VitamUIInputStubComponent;
    VitamUIInputStubComponent.prototype.writeValue = function () { };
    VitamUIInputStubComponent.prototype.registerOnChange = function () { };
    VitamUIInputStubComponent.prototype.registerOnTouched = function () { };
    var VitamUIInputStubComponent_1;
    __decorate([
        Input()
    ], VitamUIInputStubComponent.prototype, "placeholder", void 0);
    VitamUIInputStubComponent = VitamUIInputStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-input',
            template: '',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return VitamUIInputStubComponent_1; }),
                    multi: true,
                }]
        })
    ], VitamUIInputStubComponent);
    return VitamUIInputStubComponent;
}());
var VitamUIInputPositiveNumberStubComponent = /** @class */ (function () {
    function VitamUIInputPositiveNumberStubComponent() {
    }
    VitamUIInputPositiveNumberStubComponent_1 = VitamUIInputPositiveNumberStubComponent;
    VitamUIInputPositiveNumberStubComponent.prototype.writeValue = function () { };
    VitamUIInputPositiveNumberStubComponent.prototype.registerOnChange = function () { };
    VitamUIInputPositiveNumberStubComponent.prototype.registerOnTouched = function () { };
    var VitamUIInputPositiveNumberStubComponent_1;
    __decorate([
        Input()
    ], VitamUIInputPositiveNumberStubComponent.prototype, "placeholder", void 0);
    VitamUIInputPositiveNumberStubComponent = VitamUIInputPositiveNumberStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-input-positive-number',
            template: '',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return VitamUIInputPositiveNumberStubComponent_1; }),
                    multi: true,
                }]
        })
    ], VitamUIInputPositiveNumberStubComponent);
    return VitamUIInputPositiveNumberStubComponent;
}());
var VitamUIListInputStubComponent = /** @class */ (function () {
    function VitamUIListInputStubComponent() {
    }
    VitamUIListInputStubComponent_1 = VitamUIListInputStubComponent;
    VitamUIListInputStubComponent.prototype.writeValue = function () { };
    VitamUIListInputStubComponent.prototype.registerOnChange = function () { };
    VitamUIListInputStubComponent.prototype.registerOnTouched = function () { };
    var VitamUIListInputStubComponent_1;
    __decorate([
        Input()
    ], VitamUIListInputStubComponent.prototype, "placeholder", void 0);
    VitamUIListInputStubComponent = VitamUIListInputStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-list-input',
            template: '',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return VitamUIListInputStubComponent_1; }),
                    multi: true,
                }]
        })
    ], VitamUIListInputStubComponent);
    return VitamUIListInputStubComponent;
}());
var VitamUITextareaStubComponent = /** @class */ (function () {
    function VitamUITextareaStubComponent() {
    }
    VitamUITextareaStubComponent_1 = VitamUITextareaStubComponent;
    VitamUITextareaStubComponent.prototype.writeValue = function () { };
    VitamUITextareaStubComponent.prototype.registerOnChange = function () { };
    VitamUITextareaStubComponent.prototype.registerOnTouched = function () { };
    var VitamUITextareaStubComponent_1;
    __decorate([
        Input()
    ], VitamUITextareaStubComponent.prototype, "placeholder", void 0);
    VitamUITextareaStubComponent = VitamUITextareaStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-textarea',
            template: '',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return VitamUITextareaStubComponent_1; }),
                    multi: true,
                }]
        })
    ], VitamUITextareaStubComponent);
    return VitamUITextareaStubComponent;
}());
var VitamUISlideToggleStubComponent = /** @class */ (function () {
    function VitamUISlideToggleStubComponent() {
    }
    VitamUISlideToggleStubComponent_1 = VitamUISlideToggleStubComponent;
    VitamUISlideToggleStubComponent.prototype.writeValue = function (value) { this.value = value; };
    VitamUISlideToggleStubComponent.prototype.registerOnChange = function () { };
    VitamUISlideToggleStubComponent.prototype.registerOnTouched = function () { };
    var VitamUISlideToggleStubComponent_1;
    __decorate([
        Input()
    ], VitamUISlideToggleStubComponent.prototype, "disabled", void 0);
    __decorate([
        Input()
    ], VitamUISlideToggleStubComponent.prototype, "checked", void 0);
    VitamUISlideToggleStubComponent = VitamUISlideToggleStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-slide-toggle',
            template: '<ng-content></ng-content>',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return VitamUISlideToggleStubComponent_1; }),
                    multi: true,
                }]
        })
    ], VitamUISlideToggleStubComponent);
    return VitamUISlideToggleStubComponent;
}());
// Editable fields
var EditableFieldStubComponent = /** @class */ (function () {
    // tslint:disable-next-line:directive-class-suffix
    function EditableFieldStubComponent() {
    }
    EditableFieldStubComponent.prototype.writeValue = function (value) { this.value = value; };
    EditableFieldStubComponent.prototype.registerOnChange = function () { };
    EditableFieldStubComponent.prototype.registerOnTouched = function () { };
    __decorate([
        Input()
    ], EditableFieldStubComponent.prototype, "validator", void 0);
    __decorate([
        Input()
    ], EditableFieldStubComponent.prototype, "asyncValidator", void 0);
    EditableFieldStubComponent = __decorate([
        Directive({
            selector: '[EditableFieldStubComponent]'
        })
        // tslint:disable-next-line:directive-class-suffix
    ], EditableFieldStubComponent);
    return EditableFieldStubComponent;
}());
var VitamUIEditableEmailInputStubComponent = /** @class */ (function (_super) {
    __extends(VitamUIEditableEmailInputStubComponent, _super);
    function VitamUIEditableEmailInputStubComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    VitamUIEditableEmailInputStubComponent_1 = VitamUIEditableEmailInputStubComponent;
    var VitamUIEditableEmailInputStubComponent_1;
    __decorate([
        Input()
    ], VitamUIEditableEmailInputStubComponent.prototype, "domains", void 0);
    VitamUIEditableEmailInputStubComponent = VitamUIEditableEmailInputStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-editable-email-input',
            template: '{{value}}',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return VitamUIEditableEmailInputStubComponent_1; }),
                    multi: true,
                }]
        })
    ], VitamUIEditableEmailInputStubComponent);
    return VitamUIEditableEmailInputStubComponent;
}(EditableFieldStubComponent));
var VitamUIFieldErrorStubComponent = /** @class */ (function () {
    function VitamUIFieldErrorStubComponent() {
    }
    VitamUIFieldErrorStubComponent = __decorate([
        Component({ selector: 'vitamui-common-field-error', template: '<ng-content></ng-content>' })
    ], VitamUIFieldErrorStubComponent);
    return VitamUIFieldErrorStubComponent;
}());
var VitamUIEditableFileStubComponent = /** @class */ (function (_super) {
    __extends(VitamUIEditableFileStubComponent, _super);
    function VitamUIEditableFileStubComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    VitamUIEditableFileStubComponent_1 = VitamUIEditableFileStubComponent;
    var VitamUIEditableFileStubComponent_1;
    VitamUIEditableFileStubComponent = VitamUIEditableFileStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-editable-file',
            template: '{{value}}',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return VitamUIEditableFileStubComponent_1; }),
                    multi: true,
                }]
        })
    ], VitamUIEditableFileStubComponent);
    return VitamUIEditableFileStubComponent;
}(EditableFieldStubComponent));
var VitamUIEditableInputStubComponent = /** @class */ (function (_super) {
    __extends(VitamUIEditableInputStubComponent, _super);
    function VitamUIEditableInputStubComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    VitamUIEditableInputStubComponent_1 = VitamUIEditableInputStubComponent;
    var VitamUIEditableInputStubComponent_1;
    VitamUIEditableInputStubComponent = VitamUIEditableInputStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-editable-input',
            template: '{{value}}',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return VitamUIEditableInputStubComponent_1; }),
                    multi: true,
                }]
        })
    ], VitamUIEditableInputStubComponent);
    return VitamUIEditableInputStubComponent;
}(EditableFieldStubComponent));
var VitamUIEditableTextareaStubComponent = /** @class */ (function (_super) {
    __extends(VitamUIEditableTextareaStubComponent, _super);
    function VitamUIEditableTextareaStubComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    VitamUIEditableTextareaStubComponent_1 = VitamUIEditableTextareaStubComponent;
    var VitamUIEditableTextareaStubComponent_1;
    VitamUIEditableTextareaStubComponent = VitamUIEditableTextareaStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-editable-textarea',
            template: '{{value}}',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return VitamUIEditableTextareaStubComponent_1; }),
                    multi: true,
                }]
        })
    ], VitamUIEditableTextareaStubComponent);
    return VitamUIEditableTextareaStubComponent;
}(EditableFieldStubComponent));
var VitamUIEditableSelectStubComponent = /** @class */ (function (_super) {
    __extends(VitamUIEditableSelectStubComponent, _super);
    function VitamUIEditableSelectStubComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    VitamUIEditableSelectStubComponent_1 = VitamUIEditableSelectStubComponent;
    var VitamUIEditableSelectStubComponent_1;
    VitamUIEditableSelectStubComponent = VitamUIEditableSelectStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-editable-select',
            template: '{{value}}',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return VitamUIEditableSelectStubComponent_1; }),
                    multi: true,
                }]
        })
    ], VitamUIEditableSelectStubComponent);
    return VitamUIEditableSelectStubComponent;
}(EditableFieldStubComponent));
var VitamUIEditableOptionStubComponent = /** @class */ (function () {
    function VitamUIEditableOptionStubComponent() {
    }
    __decorate([
        Input()
    ], VitamUIEditableOptionStubComponent.prototype, "value", void 0);
    __decorate([
        Input()
    ], VitamUIEditableOptionStubComponent.prototype, "content", void 0);
    __decorate([
        Input()
    ], VitamUIEditableOptionStubComponent.prototype, "disabled", void 0);
    VitamUIEditableOptionStubComponent = __decorate([
        Component({ selector: 'vitamui-common-editable-option', template: '' })
    ], VitamUIEditableOptionStubComponent);
    return VitamUIEditableOptionStubComponent;
}());
var VitamUIEditableToggleGroupStubComponent = /** @class */ (function (_super) {
    __extends(VitamUIEditableToggleGroupStubComponent, _super);
    function VitamUIEditableToggleGroupStubComponent() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    VitamUIEditableToggleGroupStubComponent_1 = VitamUIEditableToggleGroupStubComponent;
    var VitamUIEditableToggleGroupStubComponent_1;
    VitamUIEditableToggleGroupStubComponent = VitamUIEditableToggleGroupStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-editable-toggle-group',
            template: '{{value}}',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return VitamUIEditableToggleGroupStubComponent_1; }),
                    multi: true,
                }]
        })
    ], VitamUIEditableToggleGroupStubComponent);
    return VitamUIEditableToggleGroupStubComponent;
}(EditableFieldStubComponent));
var VitamUIEditableButtonToggleStubComponent = /** @class */ (function () {
    function VitamUIEditableButtonToggleStubComponent() {
    }
    __decorate([
        Input()
    ], VitamUIEditableButtonToggleStubComponent.prototype, "value", void 0);
    VitamUIEditableButtonToggleStubComponent = __decorate([
        Component({ selector: 'vitamui-common-editable-button-toggle', template: '' })
    ], VitamUIEditableButtonToggleStubComponent);
    return VitamUIEditableButtonToggleStubComponent;
}());
var EditableLevelInputStubComponent = /** @class */ (function () {
    function EditableLevelInputStubComponent() {
    }
    EditableLevelInputStubComponent_1 = EditableLevelInputStubComponent;
    EditableLevelInputStubComponent.prototype.writeValue = function () { };
    EditableLevelInputStubComponent.prototype.registerOnChange = function () { };
    EditableLevelInputStubComponent.prototype.registerOnTouched = function () { };
    var EditableLevelInputStubComponent_1;
    __decorate([
        Input()
    ], EditableLevelInputStubComponent.prototype, "validator", void 0);
    __decorate([
        Input()
    ], EditableLevelInputStubComponent.prototype, "asyncValidator", void 0);
    __decorate([
        Input()
    ], EditableLevelInputStubComponent.prototype, "prefix", void 0);
    __decorate([
        Input()
    ], EditableLevelInputStubComponent.prototype, "disabled", void 0);
    EditableLevelInputStubComponent = EditableLevelInputStubComponent_1 = __decorate([
        Component({
            selector: 'vitamui-common-editable-level-input',
            template: '{{prefix}}',
            providers: [{
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(function () { return EditableLevelInputStubComponent_1; }),
                    multi: true
                }]
        })
    ], EditableLevelInputStubComponent);
    return EditableLevelInputStubComponent;
}());
var StrongifyStubPipe = /** @class */ (function () {
    function StrongifyStubPipe() {
    }
    StrongifyStubPipe.prototype.transform = function (value) { return value; };
    StrongifyStubPipe = __decorate([
        Pipe({ name: 'strongify' })
    ], StrongifyStubPipe);
    return StrongifyStubPipe;
}());
var TruncateStubPipe = /** @class */ (function () {
    function TruncateStubPipe() {
    }
    TruncateStubPipe.prototype.transform = function (value) {
        if (value === void 0) { value = ''; }
        return value;
    };
    TruncateStubPipe = __decorate([
        Pipe({ name: 'truncate' })
    ], TruncateStubPipe);
    return TruncateStubPipe;
}());
var InfiniteScrollStubDirective = /** @class */ (function () {
    function InfiniteScrollStubDirective() {
        this.vitamuiScroll = new EventEmitter();
    }
    __decorate([
        Input()
    ], InfiniteScrollStubDirective.prototype, "vitamuiCommonInfiniteScrollThreshold", void 0);
    __decorate([
        Input()
    ], InfiniteScrollStubDirective.prototype, "vitamuiCommonInfiniteScrollDisable", void 0);
    __decorate([
        Output()
    ], InfiniteScrollStubDirective.prototype, "vitamuiScroll", void 0);
    InfiniteScrollStubDirective = __decorate([
        Directive({ selector: '[vitamuiCommonInfiniteScroll]' })
    ], InfiniteScrollStubDirective);
    return InfiniteScrollStubDirective;
}());
var RowCollapseStubDirective = /** @class */ (function () {
    function RowCollapseStubDirective() {
    }
    __decorate([
        Input()
    ], RowCollapseStubDirective.prototype, "vitamuiCommonCollapse", void 0);
    RowCollapseStubDirective = __decorate([
        Directive({
            selector: '[vitamuiCommonRowCollapse]',
            exportAs: 'vitamuiRowCollapse'
        })
    ], RowCollapseStubDirective);
    return RowCollapseStubDirective;
}());
var RowCollapseTriggerForStubDirective = /** @class */ (function () {
    function RowCollapseTriggerForStubDirective() {
    }
    __decorate([
        Input()
    ], RowCollapseTriggerForStubDirective.prototype, "vitamuiCommonRowCollapseTriggerFor", void 0);
    RowCollapseTriggerForStubDirective = __decorate([
        Directive({
            selector: '[vitamuiCommonRowCollapseTriggerFor]'
        })
    ], RowCollapseTriggerForStubDirective);
    return RowCollapseTriggerForStubDirective;
}());
var VitamUICommonTestModule = /** @class */ (function () {
    function VitamUICommonTestModule() {
    }
    VitamUICommonTestModule = __decorate([
        NgModule({
            declarations: [
                ApplicationSelectContentStubComponent,
                VitamUICustomerSelectStubComponent,
                VitamUIDurationInputStubComponent,
                VitamUIEditableButtonToggleStubComponent,
                VitamUIEditableEmailInputStubComponent,
                VitamUIEditableFileStubComponent,
                VitamUIEditableInputStubComponent,
                VitamUIEditableOptionStubComponent,
                VitamUIEditableSelectStubComponent,
                VitamUIEditableTextareaStubComponent,
                VitamUIEditableToggleGroupStubComponent,
                VitamUIFieldErrorStubComponent,
                VitamUIInputErrorStubComponent,
                VitamUIInputPositiveNumberStubComponent,
                VitamUIInputStubComponent,
                VitamUIListInputStubComponent,
                VitamUISlideToggleStubComponent,
                VitamUITenantSelectStubComponent,
                VitamUITextareaStubComponent,
                EditableLevelInputStubComponent,
                InfiniteScrollStubDirective,
                NavbarStubComponent,
                RowCollapseStubDirective,
                RowCollapseTriggerForStubDirective,
                StepperStubComponent,
                StrongifyStubPipe,
                TruncateStubPipe,
                EditableFieldStubComponent
            ],
            exports: [
                ApplicationSelectContentStubComponent,
                VitamUICustomerSelectStubComponent,
                VitamUIDurationInputStubComponent,
                VitamUIEditableButtonToggleStubComponent,
                VitamUIEditableEmailInputStubComponent,
                VitamUIEditableFileStubComponent,
                VitamUIEditableInputStubComponent,
                VitamUIEditableOptionStubComponent,
                VitamUIEditableSelectStubComponent,
                VitamUIEditableTextareaStubComponent,
                VitamUIEditableToggleGroupStubComponent,
                VitamUIFieldErrorStubComponent,
                VitamUIInputErrorStubComponent,
                VitamUIInputPositiveNumberStubComponent,
                VitamUIInputStubComponent,
                VitamUIListInputStubComponent,
                VitamUISlideToggleStubComponent,
                VitamUITenantSelectStubComponent,
                VitamUITextareaStubComponent,
                EditableLevelInputStubComponent,
                InfiniteScrollStubDirective,
                NavbarStubComponent,
                RowCollapseStubDirective,
                RowCollapseTriggerForStubDirective,
                StepperStubComponent,
                StrongifyStubPipe,
                TruncateStubPipe,
            ]
        })
    ], VitamUICommonTestModule);
    return VitamUICommonTestModule;
}());

function input(elInput, value) {
    elInput.value = value;
    var customEvent = document.createEvent('CustomEvent');
    customEvent.initCustomEvent('input', false, false, null);
    elInput.dispatchEvent(customEvent);
}
function submit(form) {
    // Calling nativeElement.submit() causes the test page to refresh indefinitely so we have to use triggerEventHandler() instead
    form.triggerEventHandler('submit', null);
}

/*
 * Copyright French Prime minister Office/SGMAP/DINSIC/Vitam Program (2019-2020)
 * and the signatories of the "VITAM - Accord du Contributeur" agreement.
 *
 * contact@programmevitam.fr
 *
 * This software is a computer program whose purpose is to implement
 * implement a digital archiving front-office system for the secure and
 * efficient high volumetry VITAM solution.
 *
 * This software is governed by the CeCILL-C license under French law and
 * abiding by the rules of distribution of free software.  You can  use,
 * modify and/ or redistribute the software under the terms of the CeCILL-C
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info".
 *
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability.
 *
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or
 * data to be ensured and,  more generally, to use and operate it in the
 * same conditions as regards security.
 *
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C license and that you accept its terms.
 */

/**
 * Generated bundle index. Do not edit.
 */

export { ApplicationSelectContentStubComponent, EditableFieldStubComponent, EditableLevelInputStubComponent, InfiniteScrollStubDirective, NavbarStubComponent, RowCollapseStubDirective, RowCollapseTriggerForStubDirective, StepperStubComponent, StrongifyStubPipe, TruncateStubPipe, VitamUICommonTestModule, VitamUICustomerSelectStubComponent, VitamUIDurationInputStubComponent, VitamUIEditableButtonToggleStubComponent, VitamUIEditableEmailInputStubComponent, VitamUIEditableFileStubComponent, VitamUIEditableInputStubComponent, VitamUIEditableOptionStubComponent, VitamUIEditableSelectStubComponent, VitamUIEditableTextareaStubComponent, VitamUIEditableToggleGroupStubComponent, VitamUIFieldErrorStubComponent, VitamUIInputErrorStubComponent, VitamUIInputPositiveNumberStubComponent, VitamUIInputStubComponent, VitamUIListInputStubComponent, VitamUISlideToggleStubComponent, VitamUITenantSelectStubComponent, VitamUITextareaStubComponent, input, submit };
//# sourceMappingURL=ui-frontend-common-testing.js.map
